{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Lists all instances of the specified code scanning alert.\n\nOAuth app tokens and personal access tokens (classic) need the `security_events` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"alert_number":{"$ref":"#/definitions/alert-number","description":"The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation."}},"required":["owner","repo","alert_number"],"additionalProperties":false},"query":{"type":"object","properties":{"page":{"type":"integer","default":1,"description":"The page number of the results to fetch. For more information, see \"[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api).\""},"per_page":{"type":"integer","default":30,"description":"The number of results per page (max 100). For more information, see \"[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api).\""},"ref":{"$ref":"#/definitions/code-scanning-ref","description":"The Git reference for the results you want to list. The `ref` for a branch can be formatted either as `refs/heads/<branch name>` or simply `<branch name>`. To reference a pull request use `refs/pull/<number>/merge`."},"pr":{"type":"integer","description":"The number of the pull request for the results you want to list."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"alert-number":{"type":"integer","description":"The security alert number."},"code-scanning-ref":{"type":"string","description":"The Git reference, formatted as `refs/pull/<number>/merge`, `refs/pull/<number>/head`,\n`refs/heads/<branch name>` or simply `<branch name>`."}}},"name":"List instances of a code scanning alert","id":"github.code-scanning.list-alert-instances","example":{"path":{"owner":"octocat","repo":"hello-world","alert_number":1}},"maxRequests":1,"summary":false}}